New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

letsencrypt requires root for "plugins" command, Manual Authenticator, generic plugins #973

Open
kuba opened this Issue Oct 14, 2015 · 0 comments

Comments

Projects
None yet
2 participants
@kuba
Contributor

kuba commented Oct 14, 2015

Since #843 was not pulled in, we need ways of allowing people to run the client without root for the following cases:

  • letsencrypt plugins, possibly other subcommands
  • letsencrypt -a manual auth or anything else using Manual Authenticator: paranoid people don't want to run our code as sudo - we should make it easy for them to do that
  • in general, plugins might not require sudo at all: #496 is an example, but we can't anticipate for what reasons 3rd party plugins would not require root, so we need a generic solution.

Assigning to @pde.

@bmw bmw modified the milestones: Nice for 1.0, 2.0 Oct 16, 2015

@bmw bmw added the feature request label Jun 2, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment